# Package org.codehaus.plexus.metadata

Interface Summary
Interface | Description
--- | ---
ComponentDescriptorExtractor | An abstraction to allow pluggable `ComponentDescriptor` extraction to be dropped.
ComponentDescriptorWriter |
MetadataGenerator |

Class Summary
Class | Description
--- | ---
ClassComponentDescriptorExtractor | Extracts `ComponentDescriptor` from class files.
ComponentDescriptorExtractorSupport | Support for `ComponentDescriptorExtractor` implementations.
DefaultComponentDescriptorWriter | Serializes a `ComponentSetDescriptor`.
DefaultMetadataGenerator |
MetadataGenerationRequest |
PlexusMetadataGeneratorCli |
SourceComponentDescriptorExtractor | Extracts `ComponentDescriptor` from source files.

Exception Summary
Exception | Description
--- | ---
ComponentDescriptorWriteException |